Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxForm

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIForm
                  org.ajax4jsf.component.UIAjaxForm
                      org.ajax4jsf.component.html.AjaxForm

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class AjaxForm

extends UIAjaxForm

Component-Type org.ajax4jsf.Form Component-Family javax.faces.Form Renderer-Type org.ajax4jsf.FormRenderer Ajax-related version of html form. Main difference with original component - all hidden fields, necessary to command links alwais rendered, not depended of rendering links on initial page.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`AjaxForm()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccept()` This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly.
`java.lang.String` | `getAcceptCharset()` This attribute specifies the list of character encodings for input data that is accepted by the server processing this form.
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getEnctype()` This attribute specifies the content type used to submit the form to the server (when the value of method is "post").
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOnreset()` The onreset event occurs when a form is reset.
`java.lang.String` | `getOnsubmit()` The onsubmit event occurs when a form is submitted.
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getTarget()` This attribute specifies the name of a frame where a document is to be opened.
`int` | `getTimeout()` Timeout ( in ms ) for request.
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isAjaxSubmit()` If true, it becomes possible to set AJAX submission way for any components inside .
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccept(java.lang.String __accept)` This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly.
`void` | `setAcceptCharset(java.lang.String __acceptCharset)` This attribute specifies the list of character encodings for input data that is accepted by the server processing this form.
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setAjaxSubmit(boolean __ajaxSubmit)` If true, it becomes possible to set AJAX submission way for any components inside .
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setEnctype(java.lang.String __enctype)` This attribute specifies the content type used to submit the form to the server (when the value of method is "post").
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOnreset(java.lang.String __onreset)` The onreset event occurs when a form is reset.
`void` | `setOnsubmit(java.lang.String __onsubmit)` The onsubmit event occurs when a form is submitted.
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTarget(java.lang.String __target)` This attribute specifies the name of a frame where a document is to be opened.
`void` | `setTimeout(int __timeout)` Timeout ( in ms ) for request.

Methods inherited from class org.ajax4jsf.component.UIAjaxForm
`addAjaxListener, broadcast, getAjaxListeners, processDecodes, processUpdates, processValidators, removeAjaxListener, setupReRender`

Methods inherited from class javax.faces.component.UIForm
`isSubmitted, setSubmitted`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AjaxForm

    public AjaxForm()

  Constructor to init default renderers

Method Detail

### setAccept

    public void setAccept(java.lang.String __accept)

  This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly. User agents may use this information to filter out non-conforming files when prompting a user to select files to be sent to the server (cf. the INPUT element when type="file") Setter for accept

  Parameters:
    `accept` - - new value

### getAccept

    public java.lang.String getAccept()

  This attribute specifies a comma-separated list of content types that a server processing this form will handle correctly. User agents may use this information to filter out non-conforming files when prompting a user to select files to be sent to the server (cf. the INPUT element when type="file") Getter for accept

  Returns:
    accept value from local variable or value bindings

### setAcceptCharset

    public void setAcceptCharset(java.lang.String __acceptCharset)

  This attribute specifies the list of character encodings for input data that is accepted by the server processing this form. The value is a space- and/or comma-delimited list of charset values. The client must interpret this list as an exclusive-or list, i.e., the server is able to accept any single character encoding per entity received. The default value for this attribute is the reserved string "UNKNOWN". User agents may interpret this value as the character encoding that was used to transmit the document containing this FORM element Setter for acceptCharset

  Parameters:
    `acceptCharset` - - new value

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  This attribute specifies the list of character encodings for input data that is accepted by the server processing this form. The value is a space- and/or comma-delimited list of charset values. The client must interpret this list as an exclusive-or list, i.e., the server is able to accept any single character encoding per entity received. The default value for this attribute is the reserved string "UNKNOWN". User agents may interpret this value as the character encoding that was used to transmit the document containing this FORM element Getter for acceptCharset

  Returns:
    acceptCharset value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setAjaxSubmit

    public void setAjaxSubmit(boolean __ajaxSubmit)

  If true, it becomes possible to set AJAX submission way for any components inside . Setter for ajaxSubmit

  Specified by:
    `setAjaxSubmit` in class `UIAjaxForm`
  Parameters:
    `ajaxSubmit` - - new value

### isAjaxSubmit

    public boolean isAjaxSubmit()

  If true, it becomes possible to set AJAX submission way for any components inside . Getter for ajaxSubmit

  Specified by:
    `isAjaxSubmit` in class `UIAjaxForm`
  Returns:
    ajaxSubmit value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setEnctype

    public void setEnctype(java.lang.String __enctype)

  This attribute specifies the content type used to submit the form to the server (when the value of method is "post"). The default value for this attribute is "application/x-www-form-urlencoded". The value "multipart/form-data" should be used in combination with the INPUT element, type="file" Setter for enctype

  Parameters:
    `enctype` - - new value

### getEnctype

    public java.lang.String getEnctype()

  This attribute specifies the content type used to submit the form to the server (when the value of method is "post"). The default value for this attribute is "application/x-www-form-urlencoded". The value "multipart/form-data" should be used in combination with the INPUT element, type="file" Getter for enctype

  Returns:
    enctype value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOnreset

    public void setOnreset(java.lang.String __onreset)

  The onreset event occurs when a form is reset. It only applies to the FORM element Setter for onreset

  Parameters:
    `onreset` - - new value

### getOnreset

    public java.lang.String getOnreset()

  The onreset event occurs when a form is reset. It only applies to the FORM element Getter for onreset

  Returns:
    onreset value from local variable or value bindings

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

  The onsubmit event occurs when a form is submitted. It only applies to the FORM element Setter for onsubmit

  Parameters:
    `onsubmit` - - new value

### getOnsubmit

    public java.lang.String getOnsubmit()

  The onsubmit event occurs when a form is submitted. It only applies to the FORM element Getter for onsubmit

  Returns:
    onsubmit value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setTarget

    public void setTarget(java.lang.String __target)

  This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Setter for target

  Parameters:
    `target` - - new value

### getTarget

    public java.lang.String getTarget()

  This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements Getter for target

  Returns:
    target value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Timeout ( in ms ) for request. Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Timeout ( in ms ) for request. Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIForm`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.